blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
62aaac025d4e3b47c7deddcb0fc1fad425aca386
Shell
miguelpduarte/dotfiles
/backups-with-borg/backup_to_repo.sh
UTF-8
2,426
3.84375
4
[]
no_license
#!/usr/bin/env sh # !! Should be run as root otherwise we will be unable to backup /etc/ and /var/lib fully # Based on https://www.reddit.com/r/linux4noobs/comments/7t3au8/what_do_you_use_as_a_backup_solution_for_linux/dta6ebv/ # And https://borgbackup.readthedocs.io/en/stable/quickstart.html#automating-backups BACK...
true
892925c88c6a73500fd49a6a3ea390240d58d540
Shell
Learnspree/Serverless-Language-Performance-Framework
/bin/enable-all-aws-rules.sh
UTF-8
1,667
4.15625
4
[ "MIT" ]
permissive
#!/bin/bash helpFunction() { echo "" echo "Usage: $0 -e environment" echo -e "\t-e target environment (dev or prod)" exit 1 # Exit script after printing help } while getopts "e:" opt do case "$opt" in e ) environment="$OPTARG" ;; ? ) helpFunction ;; # Print helpFunction in case parameter is...
true
827f56b75f871ff501306d8520ffad3729bbe9ee
Shell
ymxl85/MRs-based-test-suite-for-APR
/repairs/GenProg/tcas/tt/compare.sh
UTF-8
758
2.875
3
[]
no_license
for folder in ../mf/1repairs/* do if [ -d $folder ] then d=$(basename $folder) echo "-------------------------------"$d /bin/sh ComputeAPR.sh $folder/exe.inputs.sh fi done for folder in ../cov/1repairs/* do if [ -d $folder ] then d=$(basename $folder) echo "--------------------...
true
c0eee9a6f2a866c18b5150c7c811589939b318e9
Shell
edewit/ngx-launcher
/.s2i/bin/save-artifacts
UTF-8
193
2.546875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Besides the tar command, all other output to standard out must # be surpressed. Otherwise, the tar stream will be corrupted. set -e tar -C /opt/app-root/src -cf - node_modules
true
324f0e323e775d8b30d2ee1e21439d3e22c5df6e
Shell
RCPRG-ros-pkg/RCPRG_rosinstall
/scripts/barrett_hand_hw.sh
UTF-8
1,512
3.484375
3
[]
no_license
#!/bin/bash export LANG=en_US.UTF-8 export OROCOS_TARGET=gnulinux # useful functions function usage { echo "usage: $0 directory" } function printError { RED='\033[0;31m' NC='\033[0m' # No Color echo -e "${RED}$1${NC}" } if [ $# -ne 1 ]; then usage exit 1 fi if [ -z "$1" ]; then usage exit 1...
true
da490fef06a00c11f305717f5a90b6c2f677ef39
Shell
tjarratt/buildpack-elixir-phoenix
/bin/compile
UTF-8
1,466
3.015625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # If this var is set to true later on, # then elixir and rebar will be rebuilt erlang_changed=false rebar_changed=false elixir_changed=false build_pack_path=$(cd $(dirname $(dirname $0)); pwd) # Ensure dirs are present mkdir -p $1 $2 $3 build_path=$(cd $1 && pwd) cache_path=$(cd $2 && pwd) env_p...
true
ed01372f8f2f683ddd9bec15ed391c46e65af25f
Shell
JoshAshby/dots
/bin/rwpeg
UTF-8
317
3.40625
3
[]
no_license
#!/bin/sh set -euo pipefail size="2000x2000" frames=$(find . -name "rimworld-${1}*.jpg" | wc -l) output="rimworld-${1}-${size}.mp4" echo "Making a 2000x2000, 5 fps video of ${frames} frames to ${output}" exec ffmpeg -v warning -r 5 -pattern_type glob -i "rimworld-${1}*.jpg" -s ${size} -vcodec libx264 "${output}"
true
88f73d68692a9ae4458cf812b8b655d6538f4791
Shell
CmsHI/CVS_SavedFMa
/HI/HLT/scripts/getOfflHLT.sh
UTF-8
2,484
4.0625
4
[]
no_license
#!/bin/bash - # # - Env needs: # * CMSSW # print_help () { echo usage: echo " getOfflHLT.sh [-c] [-r release] <-f file:raw.root> [-v]" echo " [--cus custom.py]" echo " Newest available rel: 322" echo " Past rel's: 321, 311" } if [ $# -eq 0 ]; then print_help exit 1 fi # Save ...
true
9a9dcfc608c63d07eb1e7dbf7c3d8ed80ff3866a
Shell
suraj0208/practice
/trees/compile.sh
UTF-8
63
2.671875
3
[]
no_license
#!/bin/bash FILES=* for f in $FILES do echo $f g++ $f done
true
2d10c7b3216005624a1b92cb8dba24c8bbbb0512
Shell
the-baffler-foundation/sage-wpe-runner
/before_script.sh
UTF-8
1,484
2.65625
3
[]
no_license
# provision php virtual machine source entrypoint.sh curl -sL https://deb.nodesource.com/setup_10.x | bash apt-get update apt-get -y install libpcre3-dev zlib1g-dev libbz2-dev libpng-dev libjpeg-dev nodejs git zip unzip curl rsync mysql-client nano docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr do...
true
ba649c92da00c54f4703c646d52486db5fee783a
Shell
tamsanh/dot
/setup/tmux.sh
UTF-8
1,478
4.0625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash CURR_DIR=$( cd $(dirname $0) pwd ) ROOT_DIR=$( cd ${CURR_DIR} git rev-parse --show-toplevel ) cd ${ROOT_DIR} set -x # Backup the previous tmux.conf if one exists, but don't overwrite # the previous backup if one exists if [[ -e ${HOME}/.tmux.conf && ! -e ${HOME}/.tmux.conf.bak ]]; then mv ${HOME}/....
true
63b02eed01ff0aca2f99c5d125b87ef56ad20ee3
Shell
Dethroner/test-jw
/files/install.sh
UTF-8
1,257
3
3
[ "MIT" ]
permissive
#!/bin/bash ################################################## # Install Jenkins # # Author by Dethroner, 2020 # ################################################## ### Vars FQDN=test.lan USER=admin PASS=123 ### Pre-Install postfix debconf-set-selections <<< "postfix...
true
b3329a830d719bd4c28a67db00e35a9a1f31200d
Shell
kuntaldevo/devo-appli
/package/custom-server/config/data-server.settings
UTF-8
733
3.4375
3
[]
no_license
#!/usr/bin/env bash # B A S H ! ! ! # This should be a var that is passed in at some point TARGET="${WHAT}" WORKING_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" # Sets the following ENV Vars for Packer #BASH_HISTORY #SOURCE_AMI #CUSTOM_NAME #CUSTOM_ROLE # These should be passed in or a lookup or somethin...
true
3fba91d8ad21e483fa6aa52d73b2e22306cabe36
Shell
maozhifeng/tc-build
/.ci/build.sh
UTF-8
1,594
3.578125
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Script to build a toolchain specialized for Proton Kernel development # Exit on error set -e # Function to show an informational message function msg() { echo -e "\e[1;32m$@\e[0m" } # Build LLVM msg "Building LLVM..." ./build-llvm.py \ --clang-vendor "LiuNian" \ --projects "clang;compiler...
true
bbbae5eb00cd14c0325e1a83dfadc87ec5a34377
Shell
pixelsnob/lapr
/bin/lapr_ping_check
UTF-8
688
3.453125
3
[]
no_license
#!/bin/bash # Checks to see if site is pinagable and returns a 200 # Otherwise, mail # # Run from another server, obviously URL="http://www.lapercussionrentals.com/" HTTP_STATUS_CODE=`curl -I "$URL" 2>/dev/null | head -n 1 | cut -d$' ' -f2` TO="5626314465@msg.fi.google.com" read -r -d '' MSG << EOM *** THIS IS AN A...
true
5244ab39b633e9c69d9b885ec61fe04ee47647e5
Shell
adriancodes/dotfiles
/shell/bin/pssh
UTF-8
692
3.890625
4
[ "MIT" ]
permissive
#!/bin/bash set -e if [ $# -ne 1 ]; then cat <<EOF usage: $(basename $0) <instance-id> DESCRIPTION ssh to an Amazon EC2 instance on a private subnet given its instance id pssh relies on a bastion host and proxy command setup in $HOME/.ssh/config it also uses the AWS CLI tool and jq to lookup the private i...
true
815439c8b08ba0391256bd9812b86aee153ec030
Shell
colorfulchair/CylinderAddons
/installer.sh
UTF-8
753
3.8125
4
[ "MIT" ]
permissive
#!/usr/bin/env sh build() { git pull dpkg -b club.red-chair.cylinderaddons } case "$1" in "i" | "install") build su -c "dpkg -i club.red-chair.cylinderaddons.deb" rm club.red-chair.cylinderaddons.deb ;; "u" | "uninstall") su -c "dpkg -r club.red-chair.cylinderaddons...
true
b60d21130f91a21389cef3e38c3eafd6c8f18ad1
Shell
mmitss/mmitss-az
/build/scripts/setup-build-environment.sh
UTF-8
6,291
3.53125
4
[ "Apache-2.0" ]
permissive
############################################################################################# # # # NOTICE: Copyright 2018 Arizona Board of Regents on behalf of University of Arizona. # # All information, intellectual, and t...
true
cd7be8493a15125d75ee6f80180dc4a141a9c44e
Shell
UnixJunkie/SPDRank
/flow_eval.sh
UTF-8
1,134
3.359375
3
[ "MIT" ]
permissive
#!/bin/zsh cd ~/workspace/SPDRank/src if [ $# -ne 1 ]; then echo "[Usage]: flow_eval.sh target_name" exit 1 fi target=$1 score_funcs=(ndcg ncg) top=100 cutoff_vals=(0 1 2 3 4 5 6 7 8 9 10) function output_flow_file () { cutoff=$1 ignore_negative=$2 score_func=$3 project_name=train_cutoff_$c...
true
a588a460641e26802a99cfc8d37b14b3a21e3fd0
Shell
svhelper/aprinter
/scripts/build-arm.sh
UTF-8
4,755
3.203125
3
[ "BSD-2-Clause" ]
permissive
#!/usr/bin/env bash # # Copyright (c) 2014 Bernard `Guyzmo` Pratz # Copyright (c) 2017 Ambroz Bizjak # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # 1. Redistributions of source code must reta...
true
cef07c7e22687dacf0c25106cf646eb69d1d0444
Shell
Andrej-Antipov/ResetLAN
/ResetLanManager.sh
UTF-8
10,014
3.1875
3
[]
no_license
#!/bin/bash clear && printf '\e[3J' && printf '\033[0;0H' osascript -e "tell application \"Terminal\" to set the font size of window 1 to 12" osascript -e "tell application \"Terminal\" to set background color of window 1 to {1028, 12850, 10240}" osascript -e "tell application \"Terminal\" to set normal text color of...
true
6636bbf640dbdc64765ec0791c5b657f91855e0f
Shell
al-zatv/textadept_init
/textadept_select.sh
UTF-8
1,459
3.515625
4
[]
no_license
#!/bin/bash # shell safe code (https://sipb.mit.edu/doc/safe-shell/) set -eu -o pipefail ; shopt -s failglob set -e set -x if [ "$1" = "--install" ]; then mkdir -p $HOME/tools/textadeptx cd $HOME/tools #wget https://foicica.com/textadept/download/textadept_LATEST.x86_64.tgz wget https://github.com/orbitalquar...
true
ae6ba27911c12720fe0bcdf77e3513f737a44e88
Shell
sly117/tpm-luks-new
/xtra/rhel7/deploy.sh
UTF-8
1,995
3.5
4
[]
no_license
function cont { if [ $FORCE -eq 0 ]; then echo echo $1 read -p "== press ENTER to continue or CTRL+C to stop ==" echo fi } FORCE=0 [ "$1" == "-f" ] && FORCE=1 #YUM exclusions cont "adding tpm-tools tpm-luks trustedGRUB2 to yum update exclusions" exclude=$( ( echo "tpm-tools tpm-luks Trusted...
true
b3dd464a4ec5d77cab23b91d45b5f20ca5c5d8a2
Shell
iMatthewCM/Jamf-Scripts
/macOS/secureTokenUsers.sh
UTF-8
1,769
3.921875
4
[ "MIT" ]
permissive
#!/bin/sh #################################################################################################### # # THIS SCRIPT IS NOT AN OFFICIAL PRODUCT OF JAMF SOFTWARE # AS SUCH IT IS PROVIDED WITHOUT WARRANTY OR SUPPORT # # BY USING THIS SCRIPT, YOU AGREE THAT JAMF SOFTWARE # IS UNDER NO OBLIGATION TO SUPPORT, DEB...
true
e07caa05e8f1fd5fe55976c01f3d0439b8e7700e
Shell
danteali/DockerRunFiles
/monitoring/dockprom/exporters/exporter_smartthings_bulb.start
UTF-8
997
3.46875
3
[]
no_license
#!/bin/bash # Get sensitive info from .conf file CONF_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" typeset -A secrets # Define array to hold variables while read line; do if echo $line | grep -F = &>/dev/null; then varname=$(echo "$line" | cut -d '=' -f 1); secrets[$varname]=$(echo ...
true
35429c4608dce654dc0e2b6d5da5c6b9c6a1a9f9
Shell
spidyjuice/scripts
/launch-chat
UTF-8
1,428
3.609375
4
[]
no_license
#!/bin/sh args="$*" chatlist='element telegram discord hexchat' funchelp() { echo 'usages: launch-chat brings up dmenu launch-chat element launches chat client element, or substitute 'element' for any valid option options: -l List options -a Automatically launch the first item in the chatlist -h display this Help ...
true
e3701ed725aad3231bdae3f257165fa5c14720ed
Shell
DdShurick/pfs-utils
/usr/bin/mksavexzm
UTF-8
2,027
3.3125
3
[]
no_license
#!/bin/sh # DdShurick GPL-v2 18.03.16 # DdShurick changed for Richy minitrd 15.07.19 if [ "$(id -u)" != 0 ]; then loginroot $0 exit fi #Задаём переменные [ $(grep "DISTRO_FILE_PREFIX" /etc/initvars) ] || echo "DISTRO_FILE_PREFIX='$(losetup -a|awk '/-base./ {print $3}'|sed 's|.*/base/||;s|-base.*||;')'" >> /etc/initvar...
true
726c46f64f2fa0d184beaa820b47ce5fac95c95b
Shell
fabio-mon/bbbbAnalysis
/studies/SelfBiasExample/runbiastest.sh
UTF-8
1,033
2.859375
3
[]
no_license
#Self-bias test configuration toys=1000 datasets=(2016) ggf_selsignals=(GGFcateg1_ggHH_kl_1_kt_1) ggf_u_injs=(5.0 10.0 15.0 20.0 25.0 30.0 35.0 40.0) for dataset in ${datasets[@]} #Loop over datasets do cd selfbiasmodel${dataset} #Loop over the regions and signals for selsignal in ${ggf_selsignals[@]} ...
true
6f1257e7733f1cce87ecc1af942c60d5af8ddd6e
Shell
komerela/holberton-system_engineering-devops
/0x04-loops_conditions_and_parsing/100-read_and_cut
UTF-8
282
3.59375
4
[]
no_license
#!/usr/bin/env bash # Bash script that displays the content of the file /etc/passwd file=/etc/passwd while read -r user; do username=$(echo "$user" | cut -d: -f1) uid=$(echo "$user" | cut -d: -f3) home=$(echo "$user" | cut -d: -f6) echo "$username:$uid:$home" done < "$file"
true
f7e1689ca87723de177e202ae113d28cadc8705a
Shell
yuehao1995/code_test
/bash模版/拷贝文件bash模版.sh
UTF-8
2,670
3.734375
4
[]
no_license
#!/bin/bash # Created by g7tianyi on 29/9/2018 set -e pushd $(dirname $0) > /dev/null SCRIPTPATH=$(pwd -P) popd > /dev/null SCRIPTFILE=$(basename $0) function log() { echo "================================================================================" echo "$(date +'%Y-%m-%d %H:%M:%S%z') [INFO] - $@" ...
true
90d87ea19cedb431c7e114d602924b84b2dce3ff
Shell
VictorEnquillot/frames
/internalsector/chemicalset/chemicalset_tags_and_symbols/outils/do_case.sh
UTF-8
287
3.328125
3
[]
no_license
#!/bin/bash set -x test () { case ${1} in bool ) res="b";; doublet ) res="d";; float ) res="f";; int ) res="i";; index ) res="x";; ordinal ) res="o";; string ) res="s";; [A-Z]* )res="k";; *) res="0";; esac echo $res } r=`test $1` echo "test >$1< is >$r<" exit
true
e7dcf2eedf381c5a14590768a0b59ecccf7ec87d
Shell
rmrf-run/Observium-Unbound-Graphs
/unbound
UTF-8
503
2.875
3
[ "MIT" ]
permissive
#!/bin/bash # Unbound statistics # (c) 2012, Tom Laermans for Observium (www.observium.org) # Required server configuration: # # statistics-cumulative: yes # extended-statistics: yes if [[ -x '/usr/sbin/unbound-control' ]]; then unboundctl='/usr/sbin/unbound-control' elif [[ -x '/usr/local/sbin/u...
true
56b28879779a2c3904d5b349e58c18315306a75a
Shell
miguelclean/dotfiles
/xmonad/single-startup.sh
UTF-8
291
3.015625
3
[]
no_license
#!/bin/bash if pgrep -x $1 then echo "process $1 already running! bailing out..." else #. /home/miguel/.bashrc export NNTPSERVER="nntp.aioe.org" # we need this for slrn (can not source from .bashrc?) #echo server = $NNTPSERVER echo "start process $1 ..." eval $1 fi
true
ce12d8e472510b830e9244b061a9d50e54a254b9
Shell
vanduc1102/o
/o.sh
UTF-8
2,058
3.921875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # Author: Alex Pliutau http://pliutau.com set -e remote=${1:-"origin"} # Get repository URL based on git remote get_url() { url=$(git remote get-url $remote) if [ "" != "$url" ]; then url=${url/git\@github\.com\:/https://github.com/} url=${url/git\@bitbucket\.org\:/https://bitbucket.org/}...
true
c5ffd07e0c9eaeb9c5cb9a36f5c93cbebc68083c
Shell
Ending2015a/parallel-hw3-2
/testcase/run.sh
UTF-8
749
3.171875
3
[]
no_license
#!/bin/bash program="APSP_seq" p='-p batch' pc=('1') c=('1') testcase=("case00" "case01" "case02" "case03" "case04" "case05" "case06") log="seq_time_measure.log" #if [ -f "$log" ] ; then # echo -e "$log existed!! -> \e[1;31mremove\e[0m" # rm $log #fi for ((n=0;n<${#testcase[@]};++n)); do inp="${testcase[$...
true
1ee45028cd9b2996a0a4a05b83f80533f51e8e48
Shell
DJRHails/dotfiles
/modules/pentest/aliases.zsh
UTF-8
295
3.125
3
[ "MIT" ]
permissive
#!bin/bash grab_bytes() { local filename="$1" local start="$2" local end="$3" python -c "f=open('$filename', 'rb');f.seek($start); print(f.read($end-$start));f.close()" } ports() { sort -r -k3 /usr/share/nmap/nmap-services | grep -v '^#' | awk '{ print $2 " " $1}' | fzf --reverse }
true
99bdcd426e8562fc330f5944038669d4c1318837
Shell
nicamdc-dev/nicamdc
/data/reference/benchmark_spec/gl05rl00pe01/download.sh
UTF-8
411
2.8125
3
[ "BSD-2-Clause" ]
permissive
#! /bin/bash # please get from http://r-ccs-climate.riken.jp/members/yashiro/spec_nicamdc/data/reference/benchmark_spec/gl05rl00pe01/restart_all_GL05RL00z94.pe000000 dir=data/reference/benchmark_spec/gl05rl00pe01 file=restart_all_GL05RL00z94.pe000000 rm -f ./$file wget http://r-ccs-climate.riken.jp/members/yashiro/s...
true
14ab68f0ad9ece7130fa9073795d4be8d97d40a7
Shell
GenomicsNX/RNAseq_pmBrain_ASD
/code/QC_supp.sh
UTF-8
1,177
2.703125
3
[]
no_license
## script to do additional picard tools and qc measures FASTA=/geschwindlabshares/CrossDisorder_transcriptome_comparison/1_RNAseq/refGen/hg19.ucsc.fa JAV=/usr/java/jdk1.7.0_51/bin PIC=/geschwindlabshares/RNAseq_ASD_pancortical/ASDPanBatch1/bin/picard-master/dist/picard.jar REFFLAT=/geschwindlabshares/CrossDisorder_tra...
true
62c19a14e97e5c199e28cf0c0f45694324b735ab
Shell
abhinavseewoosungkur/jFinder-vagrant
/init.sh
UTF-8
1,201
3.0625
3
[]
no_license
#!/bin/sh set -x # echo Get the base system up to date sudo apt-get update echo 'mysql-server mysql-server/root_password password root' | sudo debconf-set-selections echo 'mysql-server mysql-server/root_password_again password root' | sudo debconf-set-selections sudo apt-get install -q -y git zsh openjdk-8-jdk-headle...
true
4e50441942f1176244f1a2f4ebb85e9bcc29f53b
Shell
kcabrer2/EE283_Homeworks
/DNA-seq.sh
UTF-8
2,756
3
3
[]
no_license
###Organizing anf converting DNA-seq files to Illumina format### rename _1.fq.gz _F.fq.gz ADL* rename _2.fq.gz _R.fq.gz ADL* rename ADL06 A4 ADL06* rename ADL09 A5 ADL09* rename ADL10 A6 ADL10* rename ADL14 A7 ADL14* #!/bin/bash #$ -N IlluminaConvert #$ -q bio,abio #$ -pe openmp 1 #$ -ckpt restart #$ -R y #$ -t 1-24 ...
true
5186a736b12ee898479fbcbb875776414bd7811b
Shell
Lhacker/til
/docker/php/sample/build.sh
UTF-8
191
2.640625
3
[]
no_license
#!/bin/bash SCRIPT_DIR=$(cd $(dirname $0); pwd) PHP_VERSION=${1:-7.1.4} docker build --force-rm --no-cache --build-arg PHP_VERSION=${PHP_VERSION} -t centos7-php:${PHP_VERSION} ${SCRIPT_DIR}
true
d2f52296eeca17d4b86b1d590fe0c05b06f4eea6
Shell
linuxbbq/toolbox
/defsound
UTF-8
1,223
3.984375
4
[]
no_license
#!/bin/bash # http://www.sabi.co.uk/Notes/linuxSoundALSA.html CARDS=($(/usr/bin/aplay -l \ | awk -F \: '/,/{ print $2 }' \ | awk -F, '{ print $1 }' \ | awk -F'[' '{ print $1 }' \ | uniq)) function is_active() { [[ -f ~/.asoundrc ]] && [[ ! -f ~/.asoundrc.def ]] && { mv ~/.asoundrc ~/.asoundrc.bak > ~/.aso...
true
ca7a72180e4d2966d00d742ffbbe30f61bb4bf0c
Shell
NotixOfficial/umediaserver
/src/tools/service-bus.sh
UTF-8
1,944
3.546875
4
[ "LicenseRef-scancode-warranty-disclaimer", "Apache-2.0" ]
permissive
#!/bin/bash # Copyright (c) 2008-2018 LG Electronics, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law...
true
2f4c4e270658ed9061c986da85a57af451628cba
Shell
maoxiaoke/getCursorPosition
/position.sh
UTF-8
233
2.78125
3
[]
no_license
#! /bin/bash exec < /dev/tty oldstty=$(stty -g) stty raw -echo min 0 echo -en "\033[6n" > /dev/tty IFS=';' read -r -d R -a pos stty $oldstty row=$((${pos[0]:2} - 1)) col=$((${pos[1]} - 1)) echo \{\"row\":$row,\"column\":$col\}
true
e07d3cc9de202764767ce3b1495303740c6e0d0b
Shell
JetBrains-Research/washu
/docker/biolabs/washu/module.sh
UTF-8
1,456
3.171875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Mock of module command for tests >&2 echo "MOCK module $@" if [[ $# -ne 2 ]]; then echo "Need 2 parameters! module load [module_name]" elif [[ "load" != $1 ]]; then echo "Only load command supported" elif [[ "samtools" == $2 ]]; then which samtools &>/dev/null || export PATH=$PATH:/o...
true
6f501c22e3cf696fc567b3496034906f0868005a
Shell
ShivamKumarJha/Dummy_DT
/motorola/river/rootdir/bin/emmc_ffu_13.sh
UTF-8
3,047
3.484375
3
[]
no_license
#!/vendor/bin/sh # # Copyright (c) 2013-2015, Motorola LLC All rights reserved. # SCRIPT=${0#/vendor/bin/} [ "$1" == "-f" ] && FORCE=1 MID=`cat /sys/block/mmcblk0/device/manfid` MID=${MID#0x0000} echo ${MID} if [ "$MID" != "13" ] ; then echo "emmc_ffu_13.sh Result: FAIL" echo "$SCRIPT: manufacturer not supporte...
true
79d3ae6175e6d5cda25028f0000a61c88f4a19ca
Shell
yjjxwx/OpenGL
/compile.sh
UTF-8
527
3.671875
4
[]
no_license
#!/bin/bash #Compile the fold in the file dir="`pwd`/$1" if [ -d "$dir" ] then echo "Start Comile file in $dir fold" files="" for file in $dir/*.cpp $dir/*.c do if [ -f "$file" ] then files="$files $file " fi done echo "All file in $dir contains $files" echo "Start compile" if g++ $files -o main.e -lg...
true
42da4fabcc335d07c1def32eae714acc854f4a7f
Shell
thelazyindian/Scripts
/gapps-decompile.sh
UTF-8
4,272
3.921875
4
[]
no_license
#!/bin/bash HOME_DIR=/home/thug # Must be in the format /home/username (only 2 dir structure) for this script to work properly APKTOOL=/usr/local/bin/apktool # Apktool path GAPPS_DECOMPILE_DIR=opengapps-arm64-decompiled GAPPS_PUSH_SSH_URL=git@github.com:ThemersHub/DecompiledApps GAPPS_CLONE_DIR=opengapps-arm64 functi...
true
5c6cf3a57b1dbaa96548d43ef49c023e033b1939
Shell
jenny-gerbracht/Orciraptor_agilis_2021
/Module_5/bowtie2.sh
UTF-8
4,018
3.59375
4
[]
no_license
#!/bin/bash #$ -S /bin/bash . /etc/profile #$ -cwd #$ -pe threaded 10 ################################################################### #Script Name :bowtie2.sh #Description :Run bowtie2 mapping and quantification with sa...
true
b867356ac434c0f8b55ee05df0508690d2fc3b4d
Shell
hewenhao2008/boy
/wiware/bin/command/cmd_3002.sh
UTF-8
614
3.3125
3
[]
no_license
#!/bin/sh # set network to static . /wiware/bin/command/common.sh ip=$(echo $msgbody|awk -F '#' '{print $1}') gatway=$(echo $msgbody|awk -F '#' '{print $2}') netmask=$(echo $msgbody|awk -F '#' '{print $3}') dns=$(echo $msgbody|awk -F '#' '{print $4}') result='1' if [ "x$ip" != "x" ] && [ "x$gateway" != "x" ] && [ "x...
true
669ec9a5369d1a4a9b5b1dbdcaea411aabd608dd
Shell
michaelprice232/nr-terraform-json-nr1-dashboards
/modules/json_nr1_dashboard/get_dash.sh
UTF-8
909
3.78125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Get a dashboard and save to file utility script # You could just use the UI 'Copy JSON to Clipboard' function! # # ./get_dash.sh DASH-GUID {filename} # if [ "$NEWRELIC_API_KEY" = "" ]; then echo "New Relic API key is missing, expected in env var NEWRELIC_API_KEY" exit 1 fi if [ "$1" = "" ]; then ...
true
d5f6e53f0436b8821b0da48eff09ef1b2656ba6c
Shell
mberger/aws-cis-security-benchmark
/checks/check310
UTF-8
787
2.6875
3
[ "LicenseRef-scancode-proprietary-license", "CC-BY-NC-SA-4.0", "CC-BY-NC-4.0", "LicenseRef-scancode-other-copyleft", "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Prowler - the handy cloud security tool (c) by Toni de la Fuente # # This Prowler check is licensed under a # Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License. # # You should have received a copy of the license along with this # work. If not, see <http://creativecom...
true
457425c741680c7f806c13788b3fa84648c2e068
Shell
laravel/homestead
/scripts/features/solr.sh
UTF-8
993
3.25
3
[ "MIT" ]
permissive
#!/usr/bin/env bash if [ -f ~/.homestead-features/wsl_user_name ]; then WSL_USER_NAME="$(cat ~/.homestead-features/wsl_user_name)" WSL_USER_GROUP="$(cat ~/.homestead-features/wsl_user_group)" else WSL_USER_NAME=vagrant WSL_USER_GROUP=vagrant fi export DEBIAN_FRONTEND=noninteractive if [ -f /home/$WSL...
true
d1f738d7155eaef428f7b97364e93f632b27e77b
Shell
jodell/dots
/etc/ssh/rc
UTF-8
150
2.75
3
[]
no_license
#!/bin/bash # This enables persistent agents when using GNU Screen. if test "$SSH_AUTH_SOCK" ; then ln -sfv $SSH_AUTH_SOCK ~/.ssh/ssh_auth_sock fi
true
46bc54b9b41cbc5ff197ff0fb9bd3f5cd0d51022
Shell
magemma/Segregation-model
/barcharts.sh
UTF-8
462
2.640625
3
[]
no_license
#!/usr/bin/bash # USAGE: change comment placements in order to obtain barcharts fixing # any possible parameter for N in 10 20 25 64 100 225 400 1225 2500 do for I in $(( N / 10 )) $(( N / 5 )) $(( N / 2 )) do # for pn in 0.016 0.1 0.2 0.5 0.7 # do for T in 0.1 0.2 0.3 0.5 0.7 0.9 do for q in 5 ...
true
aff92c5aa1a88b4d3026c05df35b511a3941576a
Shell
grafeas/kritis
/docs/standalone/no_attestation.sh
UTF-8
2,063
3.265625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2019 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to ...
true
3a33c87404ee34f8fc111279b8cdef579822b677
Shell
rancher/rke2
/scripts/test-run-basics
UTF-8
2,505
3.34375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash all_services=( calico-node coredns etcd kube-apiserver kube-controller-manager kube-flannel kube-proxy kube-scheduler metrics-server rke2-ingress-nginx-controller rke2-snapshot-controller rke2-snapshot-validation-webhook ) export NUM_SERVERS=1 export NUM_AGE...
true
5bba5afc2d99410296565185aab9f7c528fbf579
Shell
sz-coder/node-keywatcher-server
/uninstall-daemon.sh
UTF-8
516
3.265625
3
[]
no_license
#!/bin/bash -euf source vars.sh if [ -f "$SERVICE_DEST_PATH" ]; then printf "Found .service file.\n" printf "Stopping service ..." sudo systemctl stop "$SERVICE_NAME" printf "done\n" printf "Unloading from systemd ... " sudo systemctl disable "$SERVICE_NAME" printf "done\n" sudo rm -f "$SERVICE_DEST_PATH" ...
true
8d9a2ae0af5747de817bbeaa4d6d9f072ad43144
Shell
bitslab/CompilerInterrupts
/benchmarks/accuracy_and_overhead/phoenix/phoenix-2.0/accuracy_inst.sh
UTF-8
9,482
3.234375
3
[ "MIT", "BSD-3-Clause" ]
permissive
#!/bin/bash PI=5000 CI=1000 AD=0 CLOCK=1 # 0 - predictive, 1 - instantaneous DIR=inst_stats LOG_FILE="$DIR/accuracy_log.txt" ERROR_LOG_FILE="$DIR/accuracy_error.txt" MR_OUT="$DIR/phoenix-acc-mr.txt" SEQ_OUT="$DIR/phoenix-acc-seq.txt" PTHREAD_OUT="$DIR/phoenix-acc-pthread.txt" rm -f $LOG_FILE $ERROR_LOG_FILE $MR_OUT $S...
true
db29fa01d37a3265d8e7df1a88e2e126bdde105f
Shell
claudioed/observability-ops
/istio/scripts/fwd-kiali.sh
UTF-8
496
2.71875
3
[]
no_license
#!/usr/bin/env bash set -e CURRENT_NAMESPACE=$1 if [[ -z "$CURRENT_NAMESPACE" ]] then CURRENT_NAMESPACE=$(kubectl config get-contexts $(kubectl config current-context) | tail -n 1 | awk '{print $NF}') fi echo "http://localhost:20001/kiali/console/graph/namespaces/?edges=noEdgeLabels&graphType=versionedApp&unused...
true
d2ae9176d40dc9c150deef7c8107f05e3d4061d3
Shell
mailmahee/janusgraph-scylla-examples
/deploy_graph_data_system_backends.sh
UTF-8
1,729
2.734375
3
[]
no_license
#!/usr/bin/env bash # We recommend running this deployment from a GCP VM # For example: # $ gcloud compute instances create deployment-manager \ # --zone us-west1-b \ # --machine-type n1-standard-1 \ # --scopes=https://www.googleapis.com/auth/cloud-platform \ # --image 'centos-7-v20190423' --image-project 'cen...
true
df98638a371538f1949194cde6806d33844ac37f
Shell
theohbrothers/docker-alpine-cron
/variants/mysqlclient-alpine-3.8/docker-entrypoint.sh
UTF-8
1,396
4.34375
4
[ "Apache-2.0" ]
permissive
#!/bin/sh # This makes environment variables available to everyone, including crond and its crons env > /etc/environment output() { echo -e "[$( date '+%Y-%m-%d %H:%M:%S %z' )] $1" } error() { echo -e "[$( date '+%Y-%m-%d %H:%M:%S %z' )] $1" >&2 } # Default to root as the cron user [ -z "$CRON_USER" ] && CR...
true
52926db008ecb0e683bfe5eab4e60563f4444cc4
Shell
okherozyok/linuxShell
/commonFunction.sh
UTF-8
334
3.21875
3
[]
no_license
# 作者:张阳 2019-10-28 # 公共函数。 checkNetInterface() { _NET_IF=`ifconfig -s | grep -v -E '^(Iface|lo)' | awk '{print $1}'` for _netIf in $_NET_IF do if [ $_netIf = $1 ] then return fi done echo "Wrong net interface." exit 1 } ifErrReturn() { if [ $? -ne 0 ] then exit 1 fi }
true
370b3b2163a5af6f50b1799c22bcc9c0e7a19300
Shell
kaust-vislab/pvserver-configs
/servers/edison/builds/config-pv-mesa.sh
UTF-8
4,393
2.515625
3
[]
no_license
#!/bin/bash LIB_EXT=so PY_LIB_EXT=so MESA_LIB_EXT=so DSO=ON COMP_FLAGS="-fPIC" MESA_DRIVER=llvmpipe export XTPE_LINK_TYPE=dynamic CCOMP=`which gcc` CXXCOMP=`which g++` FTNCOMP=`which gfortran` MPT=/opt/cray/mpt/7.0.0/gni/mpich2-gnu/49/ XPMEM=/opt/cray/xpmem/0.1-2.0502.51169.1.11.ari/ DMAP=/opt/cray/dmapp/7.0.1-1.050...
true
c2a2226311f7076453b01cbad4871401a844a1b2
Shell
HansKristian-Work/dxil-spirv
/checkout_dxc.sh
UTF-8
518
3.0625
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash DXC_REV=cce6fe0f43ca539627fab03395a96c7167b02ac9 if [ -d external/DirectXShaderCompiler ]; then echo "Updating DirectXShaderCompiler to revision $DXC_REV." cd external/DirectXShaderCompiler git fetch origin git checkout $DXC_REV git submodule update --init else echo "Cloning DirectXShaderCompiler re...
true
d6ff003779508b8a7985b795234b28470c5fdee5
Shell
datakube/datakube
/script/crossbinary
UTF-8
975
3.484375
3
[ "MIT", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/bin/bash set -e if [ -z "$VERSION" ]; then VERSION=$(git rev-parse HEAD) fi if [ -z "$DATE" ]; then DATE=$(date -u '+%Y-%m-%d_%I:%M:%S%p') fi # Get rid of existing binaries rm -rf dist/ mkdir dist mkdir dist/agent mkdir dist/server # Build 386 amd64 binaries OS_PLATFORM_ARG=(linux darwin windows) OS_ARCH...
true
419cb893c5e24dd907c1f0103013f0715ac1bfa8
Shell
unsky/Optical-Tracking-Velocimetry
/Real-time OTV/script/calib.sh
UTF-8
395
2.625
3
[]
no_license
#!/bin/bash file=$1 echo -e "pixel_to_real" $2 > $file echo -e "partial_min_angle" $3 >> $file echo -e "partial_max_angle" $4 >> $file echo -e "final_min_angle" $5 >> $file echo -e "final_max_angle" $6 >> $file echo -e "final_min_distance" $7 >> $file echo -e "max_features" $8 >> $file echo -e "resolution" ${9} >> $f...
true
7c6778b77b1eaba383f7fc55ef3f80ff7c3d4979
Shell
mubaidr/vscode-sqltools
/pack.all.sh
UTF-8
561
2.578125
3
[ "MIT" ]
permissive
#!/bin/bash set -e export DISPLAY_NAME=SQLTools export NODE_ENV=production VSCE=$(yarn bin)/vsce OUTDIR=$PWD $VSCE --version yarn run rimraf -rf *.vsix dist yarn run concurrently --kill-others-on-fail \ "(cd packages/driver.mssql/ && yarn run package && mv *.vsix '$OUTDIR/.')" \ "(cd packages/driver.mysql/ && ...
true
bb564a8d6f84eab91c5c8d02e4cf8334c68ef567
Shell
Jacobingalls/docker-pintos
/grade.sh
UTF-8
196
3.109375
3
[ "MIT" ]
permissive
#! /bin/bash PROJECT=$1 make clean cd $PROJECT make -j make check make grade > grade.txt cat grade.txt GRADE=$(cat grade.txt | grep "TOTAL TESTING SCORE" | cut -f4 -d' ') echo "Grade: $GRADE"
true
4df04291be41db7fc410e638a122746c9ae5d212
Shell
MikeGodin/ecis-experimental
/installer/tf/prsystem/tf-pr-system-setup.sh
UTF-8
1,696
3.421875
3
[ "CC0-1.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash GITHUB_PR=$1 GITHUB_BRANCH=$2 AWS_EC2_INSTANCE_TYPE=$3 AWS_EC2_KEY_NAME=$4 if [ -z "$GITHUB_PR" ] then echo USAGE: tf-system-setup github-pr github-branch [aws-ec2-instance-type] [aws-ec2-key-name] exit 9 fi if [ -z "$GITHUB_BRANCH" ] then echo USAGE: tf-system-setup github-pr github-branch [aws-...
true
bf1cec7936d46985a2a8574207c047abaffa5137
Shell
smaslennikov/smaslennikov.github.io
/ansible/roles/dotfiles/files/home/.bashrc
UTF-8
2,065
2.875
3
[ "CC-BY-SA-4.0" ]
permissive
# /etc/skel/.bashrc # append to the history file, don't overwrite it shopt -s histappend alias ll="ls -lah" alias ipa="ip a" alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"' if [[ $- != *i* ]] ; then ...
true
e6517b8c0077ab4ac338e53eeea09d4a5b08e628
Shell
mdicaire/message_management_rest_api_app
/deploy/build_docker.sh
UTF-8
342
3.25
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -x # paths CURRENT_DIR=$PWD DEPLOY_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" # go to the app folder cd "$DEPLOY_DIR/../app" # build the docker images APP_NAME="mdicaire/app" docker build -t "$APP_NAME" . BUILD_RC=$? # go back to the original dir cd "$CURRENT_DIR" # provide the build retur...
true
86ea91c0b3ac4be40609e1fa9d6127a4d454cd6f
Shell
filipekiss/dotfiles-legacy
/scripts/node-packages.zsh
UTF-8
630
3.0625
3
[]
no_license
e_error() { echo "✖ $@" } PACKAGES=( "alex" "eslint" "eslint-config-airbnb" "eslint-config-prettier" "eslint-plugin-import" "eslint-plugin-react" "eslint-plugin-prettier" "flow-language-server" "typescript" "vscode-html-languageserver-bin" "css-langserver" "vscode-js...
true
a1893b5181122bf9edfb0285ce5f064e7aafe753
Shell
object8421/trinity
/treegen.sh
UTF-8
847
3.96875
4
[]
no_license
#!/bin/bash # # rebuild directory structure based on the outputs of `tree -F` # author: kozz # date: 2014-06-06 # modified: 2014-06-09 # usage(){ cat <<USAGE USAGE: ./treegen.sh tree_outputs USAGE exit 1 } index_of(){ local str=$1 local substr=$2 for i in $(seq 0 $((${#str} - 1))); do ...
true
b05060d2e6890d30aeb318100044dea680993fe7
Shell
mgijax/pgmgddbschema
/index/ALL_Knockout_Cache_create.object
UTF-8
642
2.5625
3
[]
no_license
#!/bin/sh # # History # # 03/31/2023 lec # tables does not have index on purpose: _Createdby_key, _ModifiedBy_key, creation_date, modification_date # saving some space; no need to add index if it is not used # feel free to add these indexes, if necessary # # 11/15/2005 lec # - TR 7194 # cd `dirname $0` && . ./Conf...
true
94d1a76e5e36f6a1cccb2e0081c648b6553660a3
Shell
vimc/montagu-static
/buildkite/build-caddy.sh
UTF-8
400
2.765625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -Eeuo pipefail HERE="$(dirname "${BASH_SOURCE[0]}")" . "$HERE/common" ORG=vimc NAME=montagu-static APP_DOCKER_COMMIT_TAG=$ORG/$NAME:$GIT_ID APP_DOCKER_BRANCH_TAG=$ORG/$NAME:$GIT_BRANCH docker build --pull \ --tag "$APP_DOCKER_COMMIT_TAG" \ --tag "$APP_DOCKER_BRANCH_TAG" \ "$HERE/../ca...
true
1144fe7a57e2f80d490a6bbf1c3e550e0488c36c
Shell
gb-0001/tplinuxavril
/install_srv_NFS_pass_remotecmd.sh
UTF-8
3,227
3.671875
4
[]
no_license
#!/bin/bash #script de finalisation d'install sur les serveurs distant lié à l'install de base installsrv_NFS.sh #Parametre SRVINTEGRATION=192.168.0.19 SRVWEB=192.168.0.17 SRVNFS=192.168.0.18 LOGINUSER=vagrant PASSUSER=vagrant BACKUPDIR=/backup BACKUP_WEB_DIR=/web AUTOFSWEB_MOUNTPOINT=web BACKUPWEB_FILENAME=serveur_w...
true
1359df1726d950de43ce38cb8ab8a21c9547a089
Shell
alawinia/Data_citation_provenance
/stress_test_instance_size.sh
UTF-8
1,140
2.984375
3
[]
no_license
#!/bin/bash trap "exit" INT num=0 max_num=10 echo $1 echo $2 echo $3 echo $4 query_subgoal_num=3 query_head_var_per_subgoal_num=1 query_head_agg_var_per_subgoal_num=1 view_num=10 for i in {1..20} do query_instance_size=$((i*10000)) echo query_instance_size::$query_instance_size if (( $i > 1)) then bash execu...
true
eb170f53de4e4c95ed3ddb6c2038358437d2813d
Shell
FlorianHeigl/nagios
/nagios_bsd/freebsd_nagios/generate.sh
UTF-8
957
2.828125
3
[]
no_license
#!/bin/bash # alles scheisse,btw # create backup copy of nagios config cp -p /usr/local/nagios/etc/freebsd.cfg freebsd.cfg.bck cp service /usr/local/nagios/etc/freebsd.cfg # generate list of host-service assocs for hostgroup use # redirect can die as soon as I'm able to make a real,list for service in www ftp cvsup...
true
cfbdc7f97ae9585780ee036507166b7203cfcff2
Shell
hcit/gist-2
/ssh-brick-rc.sh
UTF-8
1,105
3.265625
3
[]
no_license
#!/usr/bin/env bash # # Copyright (C) 2013 by Lele Long <schemacs@gmail.com> # This file is free software, distributed under the GPL License. # # notify when someone unexpected login machine # this script only just report it to /ssh_brick endpoint # which will do checking on it. # # see /etc/profile and /etc/ssh/sshrc ...
true
7f1f429c008cb9e869fdf948de766a43f32958f6
Shell
zhaofengli/crouton
/chroot-bin/volume
UTF-8
4,912
4.0625
4
[ "BSD-3-Clause", "LicenseRef-scancode-generic-cla" ]
permissive
#!/bin/sh # Copyright (c) 2016 The crouton Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # This script uses amixer to present an interface similar to the brightness # script for crouton. set -e set -u DEFAULT_VOLUME_DELTA=5 APPLIC...
true
efc4b98d8132832efe016f6409126951318ca954
Shell
hchasan/InIceMCScan
/colorplot_loop.sh
UTF-8
33,222
2.53125
3
[]
no_license
#!/bin/bash #04/18/2017 #script will collect root files and plot as dictated by user #Hannah Hasan shelfmc=$HOME/ShelfMC/git_shelfmc ##set to your ShelfMC directory - should have the parameter space scan directory and a directory called "outputs". outputs may be empty AttenMin=500 # MINIMUM atten...
true
f8f4c5cbf0c3c59032529394a0470117a63bfd04
Shell
deponian/configs
/install-ubuntu-on-encrypted-partition/chroot.sh
UTF-8
1,977
3.796875
4
[]
no_license
#!/usr/bin/env bash set -euo pipefail # Functions # Color print function cprint { case "${1}" in red ) echo "$(tput setaf 1)${2}$(tput sgr0)";; green ) echo "$(tput setaf 2)${2}$(tput sgr0)";; blue ) echo "$(tput setaf 4)${2}$(tput sgr0)";; esac } # Color set function cset { case "${1}" in red ) echo ...
true
6ddacf93af97b583619cf0a095eda54add0bacdc
Shell
LittleMaer/docker_script
/in_docker_lib/docker_conda.sh
UTF-8
2,272
3.453125
3
[]
no_license
#!/bin/bash set -e if [ `hostname` != 'inside_docker' ]; then echo "need to be excuted inside docker container" exit 2 fi # common part # ================================================================================================ if [ ! -f ./Miniconda3-latest-Linux-x86_64.sh ]; then sudo apt-get install w...
true
0f9733fc982aa38b2af3e2f78dba95351f0af06e
Shell
lizitang/work
/debug-tool3.0/entrypoint.sh
UTF-8
432
2.84375
3
[]
no_license
#!/bin/bash # export app configuration echo "CONFIG_FILE = '$FAQ_DEBUG_CONFIG'" >> /usr/src/${module}/settings.cfg # assign folder permission find /usr/src/${module} -type d -exec chmod 755 {} \; # assign file permission find /usr/src/${module} -type f -exec chmod 644 {} \; # Start nginx in background nohup service ...
true
7cd8b48b9a73e53880654186352242057af3de79
Shell
ArsenyZhivitsky/bash
/2018/07_jarsenii/lab03/lab03_z42.sh
UTF-8
812
3.46875
3
[]
no_license
#!/bin/bash if [ -n "$1" ] && [ "$1" == "-task" ]; then echo "Задание" echo "42. Печатать последние 30 строк файла кроме последних 5 строки с конца файла" echo echo fi touch file buf1="1 \n2 \n3 \n4 \n5 \n6 \n7 \n8 \n9 \n10 \n11 \n12 \n13 \n14 \n15 \n16 \n17 \n18 \n19 \n20 \n21 \n22 \n23 \n24 \n25 \n26 \n27 \n28 \n29 \...
true
1054b7d5e7a890ff979832aecc42123677cfc3c5
Shell
scriptlib/sh
/xprintenv
UTF-8
349
3.140625
3
[]
no_license
#!/bin/sh ###xprintenv v0.1 ### - xprintenv ### - Written by xiaoranzzz, 2008-04-08 ###Usage: ### xprintenv ###Option: ### -h Display help text ###Example: ### xprintenv xprint () { [ -z "$1" ] && return 0 "$@" 2>&1 | xmessage -center -file - } if [ -z "$1" ] ; then xprint export else ...
true
ee24121255284b53b15f56f05a0d4fc7a9feafd7
Shell
xtpclark/awsmt
/deleteVol.sh
UTF-8
251
3.296875
3
[]
no_license
#!/bin/bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd $DIR echo "Working dir is $DIR" DATE=`date` AWS_VOL=$1 for VOL in $AWS_VOL; do aws ec2 delete-volume --volume-id $VOL echo "$VOL deleted on $DATE" >> VolDelete.log done exit 0;
true
10adea91185842a497c7790a39a0ba30aa3dbcd7
Shell
Icemore/homework
/fall_2013/unix/hw/hw2/z1.sh
UTF-8
125
2.625
3
[]
no_license
#!/bin/bash groupID=`grep -m 1 "^$1:" /etc/group | cut -d: -f 3` cat /etc/passwd | cut -d: -f 4 | grep "^$groupID$" | wc -l
true
13d2258de067fc68c1372e73a6fdc730e7c79259
Shell
plazmoid/unix_course
/2_sparse/test_len.sh
UTF-8
633
3.4375
3
[]
no_license
#!/bin/bash # Test floating bug with variable length of result file LOG=./wrong.log TLOG=/tmp/l ZFILE=./z [[ ! -f $ZFILE ]] && $(truncate -s 1M $ZFILE) # out ZO=./zz ZSIZE=$(stat -c %s $ZFILE) rm $LOG $TLOG 2>/dev/null for i in {0..1000}; do cat $ZFILE | ./gz-sparse $ZO ZOSIZE=$(stat -c %s $ZO) if [[ $ZOSI...
true
59a2450e1285faa0dd292fc2ddf9eac38d663888
Shell
k-fujikawa/word2vec
/scripts/run-text8/demo-word.sh
UTF-8
531
2.703125
3
[ "Apache-2.0" ]
permissive
source ./config.sh pushd ${SRC_DIR} && make; popd if [ ! -e $VECTOR_DATA ]; then echo ----------------------------------------------------------------------------------------------------- echo -- Training vectors... time $BIN_DIR/word2vec -train $TEXT_DATA -output $VECTOR_DATA -cbow 0 -size 200 -window 5 -negati...
true
24885ae6e773044641d2a83613d40a315fa4c814
Shell
jan-scholz/image-analysis-scripts
/raytrace_dulcie.sh
UTF-8
7,026
3.546875
4
[]
no_license
#! /bin/bash # create slice images for rotarod publication # 2013-10-30, jan.scholz@mouseimaging.ca LABELSCC=raytrace_colorcoding.txt POSCC=(hotred_new cc_green cc_yellow cc_brown) NEGCC=(hotblue_new cc_brown cc_brown cc_blue) LOWERTHRESH=0 UPPERTHRESH=12 usage () { echo "Usage: cat coords.txt | $(basename $0) -...
true
6cea75379873efb045a4ddd055cdcad0a95e985b
Shell
chrisLeeCreate/shellscript
/xesapp_shell/xesapp/xesapp-before-build.sh
UTF-8
2,174
2.890625
3
[]
no_license
#sdk路径 cp /Users/xesapp/.jenkins/workspace/android-enviroment/local.properties /Users/xesapp/.jenkins/workspace/android-xesApp #检测当前分支是否合并了master分支代码 if [ $enviroment == "Release" ] then git pull origin master:master git pull origin $branch:$branch UnmergeCommit="./UnmergeCommit" git log master ^$branch >$Unmerge...
true
86c687885748e52a132865e21a642ac95072bd3c
Shell
ubfx/meta-avnet
/recipes-utils/minized-misc/files/ble.sh
UTF-8
1,147
3.390625
3
[ "MIT" ]
permissive
#Look up the GPIO offsets from /sys/class/gpio/gpiochipN/label fields get-gpio-offsets offsets_file=/mnt/emmc/gpio_offsets.txt MIO0_OFFSET=$(grep MIO0_OFFSET $offsets_file | cut -d = -f2) echo "Using MIO0_OFFSET from $offsets_file : $MIO0_OFFSET" EMIO0=$((MIO0_OFFSET + 54)) echo "EMIO0 : $EMIO0" #To turn on BT_REG_ON,...
true
738f2dbb8a0418b16bc66c6326bc0e9e8b688d6a
Shell
fishilico/home-files
/dotfiles/shell/environment
UTF-8
7,196
3.46875
3
[]
no_license
#!/bin/sh # SPDX-License-Identifier: MIT # # Copyright (c) 2013-2023 Nicolas Iooss # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files (the "Software"), to deal # in the Software without restriction, including without limitation the righ...
true
d8334a757741caf9e11da531bada3fcee4d93351
Shell
wrtabb/DrellYan2016
/SelectedX/Execute/SignalSelection_ele/SelectSignal.sh
UTF-8
537
2.921875
3
[]
no_license
#!/bin/bash if [ ${#1} -eq 0 ] || [ ${#2} -eq 0 || ${#3} -eq 0 ] ; then echo "./SelectAllX.sh <WhichX> <Process> <Trigger>" exit fi WhichX=$1 #echo $WhichX Trigger=$3 #echo $Trigger export VO_CMS_SW_DIR=/cvmfs/cms.cern.ch export SCRAM_ARCH=slc6_amd64_gcc530 source $VO_CMS_SW_DIR/cmsset_default.sh cd $VO_CMS_...
true
6b3bf937638e3893aa1f236fe667ec097bd295bb
Shell
mdagosta/mdagosta
/.bashrc
UTF-8
2,743
3.109375
3
[]
no_license
# Bash Environment # Copyright 2013 Michael D'Agosta <mdagosta@codebug.com> if [[ -n $SUDO_USER ]]; then export HOME="/home/$SUDO_USER"; elif [[ -n $(uname -a |grep Darwin) ]]; then export HOME="/Users/$USER" else export HOME="/home/$USER" fi . $HOME/.bash_completion_git export PS1='$(__git_ps1 "(%s) ")\u@\h:\w>...
true
714e0ccfb6f4001ad6dc0a320c16378951083c6f
Shell
fortunezzy/RobustFLA
/script/runAnalyse.sh
UTF-8
387
2.875
3
[]
no_license
#!/usr/bin/env bash echo "Type;period_length;epsilon;coef_Pi;random_mode;alpha;beta;gamma;w1;w2;p;nbChange;nbNotAssigned;total;maxNbConflict;time" > $1 for f in $(find . -name 'log*.txt') do element=$(echo $(basename ${f}) | tr '_' '\n' | tr '.' '\n') array=$(tail -n 5 ${f} | awk -F':' '{print $2}') echo ${ele...
true
17a070b7e62998eb2950da64ab4f9baaa910ce5a
Shell
friemen/i3config
/eiermann/i3/blocks/windowtitle.sh
UTF-8
164
2.65625
3
[]
no_license
#!/bin/bash window_id=$(xprop -root | awk '/_NET_ACTIVE_WINDOW\(WINDOW\)/{print $NF}') xprop -id $window_id | awk '/_NET_WM_NAME/{$1=$2="";print}' | cut -d'"' -f2
true
ae40d243a59dd84d6b2284204b3aabeb51c06140
Shell
vasa-develop/quorum-cluster
/raft-start.sh
UTF-8
721
2.859375
3
[]
no_license
#!/bin/bash set -u set -e mkdir -p qdata/logs echo "[*] Starting Constellation nodes" ./constellation-start.sh echo "[*] Starting Ethereum nodes" set -v ARGS="--nodiscover --raft --rpc --rpcaddr 0.0.0.0 --rpcapi admin,db,eth,debug,miner,net,shh,txpool,personal,web3,quorum --emitcheckpoints" PRIVATE_CONFIG=qdata/c/tm....
true